Retrieve a push test trace
curl --request GET \
--url https://api.sendrealm.com/push/test-notifications/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sendrealm.com/push/test-notifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/push/test-notifications/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": 123,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"source_campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notifications": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "<string>",
"broadcast_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"title": "<string>",
"body": "<string>",
"platform": "<string>",
"environment": "<string>",
"status": "<string>",
"last_event": "<string>",
"provider_message_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"device_id": "<string>",
"provider": "<string>",
"external_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
],
"created_at": "2023-11-07T05:31:56Z"
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}Push Notifications
Retrieve Push Test
Poll a queued test and inspect provider and client events.
GET
/
push
/
test-notifications
/
{id}
Retrieve a push test trace
curl --request GET \
--url https://api.sendrealm.com/push/test-notifications/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sendrealm.com/push/test-notifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/push/test-notifications/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": 123,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"source_campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notifications": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "<string>",
"broadcast_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"title": "<string>",
"body": "<string>",
"platform": "<string>",
"environment": "<string>",
"status": "<string>",
"last_event": "<string>",
"provider_message_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"device_id": "<string>",
"provider": "<string>",
"external_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
],
"created_at": "2023-11-07T05:31:56Z"
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}⌘I